ELA-296-1 httpcomponents-client security update

improper handling of input

2020-10-11
Packagehttpcomponents-client
Version4.3.5-2+deb8u1
Related CVEs CVE-2020-13956

Oleg Kalnichevski discovered that httpcomponents-client, a Java library for building HTTP-aware applications, can misinterpret a malformed authority component in request URIs passed to the library as java.net.URI object and pick the wrong target host for request execution.

For Debian 8 jessie, these problems have been fixed in version 4.3.5-2+deb8u1.

We recommend that you upgrade your httpcomponents-client packages.

Further information about Extended LTS security advisories can be found at: https://deb.freexian.com/extended-lts/